#if !defined(__PENHDR_H_INCLUDED__)
#define __PENHDR_H_INCLUDED__

#define BYTE_ORDER LITTLE_ENDIAN

#include "FCP_TLVs.h"

#define PADDING 0xFF

#define UICC_PIN1_APP1     '0',     '0',     '0',     '0',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP2     '0',     '2',     '0',     '2',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP3     '0',     '3',     '0',     '3',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP4     '0',     '0',     '0',     '0',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP5     '0',     '1',     '2',     '3',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP6     '0',     '6',     PADDING, PADDING, PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP7     '0',     '7',     PADDING, PADDING, PADDING, PADDING, PADDING, PADDING
#define UICC_PIN1_APP8     '0',     '8',     PADDING, PADDING, PADDING, PADDING, PADDING, PADDING

#define UICC_PIN2_APP1     '2',     '2',     '2',     '2',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP2     '8',     '2',     '8',     '2',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP3     '8',     '3',     '8',     '3',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP4     '8',     '8',     '8',     '8',     PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP5     '9',     '8',     '7',     '6',     '5',     '4',     '3',     '2'
#define UICC_PIN2_APP6     '0',     '6',      PADDING, PADDING, PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP7     '0',     '7',      PADDING, PADDING, PADDING, PADDING, PADDING, PADDING
#define UICC_PIN2_APP8     '0',     '8',      PADDING, PADDING, PADDING, PADDING, PADDING, PADDING

#define UICC_PUC1_APP1     '1',     '1',     '1',     '1',     '1',     '1',     '1',     '1'

#endif /* !defined(__PENHDR_H_INCLUDED__) */
