#pragma once

#include "VirtualSmartCardReader.h"

class CServiceThread
{
private:
	DWORD m_dwSleepMilliseconds;
	HANDLE m_hThread;

public:
	bool m_bStopping;
	CVirtualSmartCardReader m_VirtualSmartCardReader;

	CServiceThread(DWORD iNewSleepMilliseconds = 1000);
	~CServiceThread(void);
	DWORD GetSleepMilliseconds() { return m_dwSleepMilliseconds; }
	DWORD Start();
    DWORD Start(DWORD argc, LPTSTR *argv, DWORD *specificError);
	DWORD Stop(void);
	void CheckAutoInsert();
};

//this function will be called when the thread startup
static DWORD __stdcall RunLoop(CServiceThread *thread);