/*****************************************************************
/
/ File   :   tlpclib.h
/ Author :   David Corcoran <corcoran@identityalliance.com>
/ Date   :   July 28, 2004
/ Purpose:   This provides a reference implementation of the 
/            PIV Client-Application Programming Interface transport layer.
/ License:   See file LICENSE
/
******************************************************************/

#ifndef __tlpclib_h__
#define __tlpclib_h__

#ifdef __cplusplus
extern "C" {
#endif

int TLPCLIB_SCardConnect(char *hostAddress, int portNumber);
int TLPCLIB_SCardDisconnect();
int TLPCLIB_SCardTransmit(unsigned char *txBuffer, unsigned long txLength,
					   unsigned char *rxBuffer, unsigned long *rxLength);
int TLPCLIB_SCardReset();


#ifdef __cplusplus
}
#endif

#endif